%global pypi_name idna

Name:           python3-%{pypi_name}
Version:        2.10
Release:        1%{?dist}
Summary:        Internationalized Domain Names in Applications (IDNA)

License:        BSD and Python and Unicode
URL:            https://github.com/kjd/idna
Source0:        %pypi_source
BuildArch:      noarch

%global _description \
A library to support the Internationalised Domain Names in Applications (IDNA)\
protocol as specified in RFC 5891 <http://tools.ietf.org/html/rfc5891>.  This\
version of the protocol is often referred to as "IDNA2008" and can produce\
different results from the earlier standard from 2003.\
\
The library is also intended to act as a suitable drop-in replacement for the\
"encodings.idna" module that comes with the Python standard library but\
currently only supports the older 2003 specification.

%description
%_description

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        Internationalized Domain Names in Applications (IDNA)
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
%_description
This package is for Python3 version %{python3_version} .

%package -n python%{python3_other_pkgversion}-%{pypi_name}
Summary:        Internationalized Domain Names in Applications (IDNA)
BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-setuptools
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{pypi_name}}

%description -n python%{python3_other_pkgversion}-%{pypi_name}
%_description
This package is for Python3 version %{python3_other_version} .


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
%py3_other_build

%install
%py3_install
%py3_other_install

%check
%{__python3} setup.py test
%{?python3_other_pkgversion: %{__python3_other} setup.py test}


%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE.rst
%doc README.rst HISTORY.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%if 0%{?python3_other_pkgversion}
%files -n python%{python3_other_pkgversion}-%{pypi_name}
%license LICENSE.rst
%doc README.rst HISTORY.rst
%{python3_other_sitelib}/%{pypi_name}
%{python3_other_sitelib}/%{pypi_name}-%{version}-py%{python3_other_version}.egg-info
%endif


%changelog
* Sat Nov 28 2020 Orion Poplawski <orion@nwra.com>
- Update to 2.10 (bz#1902186)

* Thu Mar 07 2019 Troy Dawson <tdawson@redhat.com>
- Rebuilt to change main python from 3.4 to 3.6

* Sat Sep 29 2018 Orion Poplawski <orion@cora.nwra.com> - 2.7-1
- Update to 2.7

* Sat Sep 29 2018 Raphael Groner <projects.rg@smart.ms> - 2.1-2
- add python3_other subpackage
- use pypi macros

* Wed Dec 7 2016 Orion Poplawski <orion@cora.nwra.com> - 2.1-1
- Initial EPEL package
